//
//  NFIFrame.h
//  iLife Window
//
//  Created by Sean Patrick O'Brien on 9/15/06.
//  Copyright 2006 Sean Patrick O'Brien. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CTGradient;

#import "NSGrayFrame.h"

@interface NFIFrame : NSGrayFrame
{
    float mTitleBarHeight;
    float mBottomBarHeight;
        
    NSImage * topRightCorner;
    NSImage * topLeftCorner;
    NSImage * bottomRightCorner;
    NSImage * bottomLeftCorner;
}


+ (NSBezierPath*)_clippingPathForFrame:(NSRect)frame;

+ (float)cornerRadius;
+ (NSColor *)fillGradientStartColor;
+ (NSColor *)fillGradientEndColor;
+ (NSColor *)edgeGradientStartColor;
+ (NSColor *)edgeGradientEndColor;
+ (NSColor *)backgroundColor;
+ (NSColor *)bottomEdgeColor;
+ (NSColor *)topWindowEdgeColor;
+ (NSColor *)bottomWindowEdgeColor;
+ (NSImage *)gripImage;

- (void)_drawTitleBar:(NSRect)rect;
- (void)_drawBottomBar:(NSRect)rect;
- (void)_drawTitle:(NSRect)rect;

- (float)titleBarHeight;
- (void)setTitleBarHeight:(float)height;

- (float)bottomBarHeight;
- (void)setBottomBarHeight:(float)height;


@end
